Subject: [core] Use of Message ID in Group and TCP

From: "Carey, Timothy (Timothy)" <[email-masked]>
Date: Sat, 25 Apr 2015 17:34:34 +0000

Team,

I was reviewing the RFC 7390 Group Draft in light of using group in TCP. Which I assume would be possible.

In section 2.5 of Group, there is a usage of Message ID to be used for "deduplication".

In the TCP draft (and WebSocket draft) - the Message ID is elided because "duplicate" messages are not possible.

My understanding would be that the message layer and not the Group function would be responsible for an message duplication detection? If so the text in the Group RFC is really just informative text that says "duplicate message detection is provided by the message layer" and nothing is required to be noted in the TCP draft?

BR,
TIm

---

From: Carsten Bormann <[email-masked]>
Date: Sat, 25 Apr 2015 21:21:45 +0200

Hi Tim,

TCP does not work over multicast, so there is no way to actually *use*
the functionality described in RFC 7390 via TCP.
(Of course, CoAP over TCP can still be used to set up multicast groups
via CoAP-group configuration as per RFC 7390.)

If TCP did support multicast, yes, I would assume that the transport
protocol handles the suppression of duplicated messages, as transport
protocols usually do.

Grüße, Carsten

Carey, Timothy (Timothy) wrote:
> In section 2.5 of Group, there is a usage of Message ID to be used for
> “deduplication”.
> 
>  
> 
> In the TCP draft (and WebSocket draft) – the Message ID is elided
> because “duplicate” messages are not possible.
> 
>  
> 
> My understanding would be that the message layer and not the Group
> function would be responsible for an message duplication detection? If
> so the text in the Group RFC is really just informative text that says
> “duplicate message detection is provided by the message layer” and
> nothing is required to be noted in the TCP draft?
> 
>  
> 
> BR,
> 
> TIm
> 
> _______________________________________________
> core mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/core

---

From: "Carey, Timothy (Timothy)" <[email-masked]>
Date: Sun, 26 Apr 2015 07:06:28 +0000

Carsten,

Yes indeed you are correct; I was thinking about how the service layer interaction which isn't relevant for the question about this draft. Sorry about that.

BR,
Tim

-----Original Message-----
From: Carsten Bormann [mailto:[email-masked]] 
Sent: Saturday, April 25, 2015 9:22 PM
To: Carey, Timothy (Timothy)
Cc: [email-masked]
Subject: Re: [core] Use of Message ID in Group and TCP

Hi Tim,

TCP does not work over multicast, so there is no way to actually *use* the functionality described in RFC 7390 via TCP.
(Of course, CoAP over TCP can still be used to set up multicast groups via CoAP-group configuration as per RFC 7390.)

If TCP did support multicast, yes, I would assume that the transport protocol handles the suppression of duplicated messages, as transport protocols usually do.

Grüße, Carsten